Out of the box is not working for bitcore with latest node 4.1.2

(Michael Angerman) #1

Install works fine but when I try and launch

bitcored

I get this error message

$ bitcored
/mianode/node/lib/node_modules/bitcore/node_modules/bitcore-node/index.js:8
throw new Error('Node.js version ’ + version + ’ is expected to be ’ + expected);
^

Error: Node.js version 4.1.2 is expected to be ^0.12
at nodeVersionCheck (/mianode/node/lib/node_modules/bitcore/node_modules/bitcore-node/index.js:8:11)
at Object. (/mianode/node/lib/node_modules/bitcore/node_modules/bitcore-node/index.js:11:1)
at Module._compile (module.js:434:26)
at Object.Module._extensions…js (module.js:452:10)
at Module.load (module.js:355:32)
at Function.Module._load (module.js:310:12)
at Module.require (module.js:365:17)
at require (module.js:384:17)
at Liftoff. (/mianode/node/lib/node_modules/bitcore/node_modules/bitcore-node/lib/cli/bitcored.js:31:14)
at Liftoff. (/mianode/node/lib/node_modules/bitcore/node_modules/bitcore-node/node_modules/liftoff/index.js:196:12)

0 Likes

(Braydon Fuller) #2

Try running with Node.js v0.12

Support for Node.js 4.0.0 is in the works: https://github.com/bitpay/bitcore-node/issues/259

0 Likes

(Michael Angerman) #3

Thanks ---- I switched to node v0.12 ---- and bitcoind now comes up …

Next problem is that

http://localhost:3000/insight/

Says that webpage is not available…

According to the doc you should be able to watch the blockchain download.

Thanks for your help,
Michael
Corvallis, Oregon

0 Likes

(Braydon Fuller) #4

Try http://localhost:3001/insight/

0 Likes

(Michael Angerman) #5

Thanks that worked ! (very cool)…

In your docs at this link

you might want to change the port number

So other folks know to use 3001 instead of 3000

Your quick support is very much appreciated…

Will update you with other feedback as I go through everything.

You are making excellent progress on the bitcore roll out,
and the community very much appreciates your efforts !

Thanks again,
Michael
Corvallis, Oregon

0 Likes